#!/bin/sh

MCSV_PRODUCT_PATH=[SRV_BASE_PATH]/[SUB_TEST_PATH]
SCRIPTS_PATH="$MCSV_PRODUCT_PATH/ci_scripts/"
MODULE_NAME='pedidoService'  
VERSION=$(date +%s)                  
MCSV_MODULE_BACKEND_PATH="$MCSV_PRODUCT_PATH/backend"
ZEEDHI_TEST_PRODUCTS_PATH="/var/www/equipe_teste/zeedhi/test_products/organizationManagement/modules"
LTS_TEST_MCSV_PRODUCT_PATH="/var/www/equipe_teste/pebbian"
ALIAS_SUB_RELEASE_TEST_PRODUCT_PATH=[SUB_TEST_PATH]
ALIAS_LTS_TEST_PRODUCT_PATH="erp"
DEVOPS_VERSION="1"
DEVOPS_REVISION="7"
DEVOPS_BUILD="0"
#NEEDED_PRODUCTS_TEST_PATH="/var/www/equipe_teste/pebbian/erp/modules"

echo 'Backend mnemonics --------------------------------------------------------'
cd $MCSV_MODULE_SERVICE_PATH/backend

echo 'Update Version -----------------------------------------------------------'
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "$VERSION" "bower.json"

echo 'Update environment_mnemonics.xml ------------------------------------------------------------'
$SCRIPTS_PATH/env_mnemonics.sh $SCRIPTS_PATH "@@DB_ORA_USER@@" "@@DB_ORA_PASSWORD@@" "@@DB_ORA_HOST@@" "@@DB_ORA_PORT@@" "@@DB_ORA_DBNAME@@" "@@DB_ORA_SERVICE_BOOL@@" "@@DB_VPD_WALLET_BOOL@@" "@@DB_VPD_BOOL@@" "@@DB_ORA_PASSWORD@@" "@@DB_ORA_ENCRYPTED_BOOL@@" "@@DB_ORA_SESSION_MODE@@" "@@DB_MONGO_HOST@@" "@@DB_MONGO_PORT@@"

# (Optional) -> Use it if you use parameters that change through different client's servers.
#echo 'Update parameters.xml --------------------------------------------------'
#$SCRIPTS_PATH/parameters_mnemonics.sh $SCRIPTS_PATH "@@TEK_ZHU_LOG_BOOL@@" "@@TEK_SMTP_HOST@@" "@@TEK_SMTP_PORT@@" "@@TEK_SMTP_USERNAME@@" "@@TEK_SMTP_PASSWORD@@" "@@TEK_SMTP_SECURE@@"

# (Optional) -> Use it if you have specific mnemonics for your product
# echo 'Specific Mnemonics -------------------------------------------------------'
# $SCRIPTS_PATH/specific_mnemoinics.sh "MNEMONIC_NAME" "MNEMONIC_VALUE" "FILE_1_TO_UPDATE_PATH"
# $SCRIPTS_PATH/specific_mnemoinics.sh "MNEMONIC_NAME" "MNEMONIC_VALUE" "FILE_2_TO_UPDATE_PATH"
